Page MenuHomePhabricator

[compiler-rt] Rename lit.*.cfg.* -> lit.*.cfg.py.*
ClosedPublic

Authored by rnk on Jun 21 2019, 10:32 AM.

Details

Summary

These lit configuration files are really Python source code. Using the
.py file extension helps editors and tools use the correct language
mode. LLVM and Clang already use this convention for lit configuration,
this change simply applies it to all of compiler-rt.

Diff Detail

Repository
rL LLVM

Event Timeline

rnk created this revision.Jun 21 2019, 10:32 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJun 21 2019, 10:32 AM
Herald added subscribers: Restricted Project, jfb, christof and 4 others. · View Herald Transcript
dberris accepted this revision.Jun 23 2019, 8:21 PM

LGTM

This revision is now accepted and ready to land.Jun 23 2019, 8:21 PM

@eugenis, the majority of these updates are to sanitizer test files, so I figured I should get a stamp from your or @vitalybuka before submitting. Does it look good to you?

vitalybuka accepted this revision.Jun 26 2019, 7:38 PM

LGTM

Also would be nice to add:

diff --git a/llvm/utils/gn/secondary/compiler-rt/test/hwasan/BUILD.gn b/llvm/utils/gn/secondary/compiler-rt/test/hwasan/BUILD.gn
index f98622dd1544..10cef4ad845a 100644
--- a/llvm/utils/gn/secondary/compiler-rt/test/hwasan/BUILD.gn
+++ b/llvm/utils/gn/secondary/compiler-rt/test/hwasan/BUILD.gn
@@ -5,7 +5,7 @@ import("//llvm/utils/gn/build/write_cmake_config.gni")
 import("//llvm/version.gni")
 
 write_cmake_config("lit_site_cfg") {
-  input = "lit.site.cfg.in"
+  input = "lit.site.cfg.py.in"
   output = "$target_gen_dir/lit.site.cfg"
 
   values = [
This revision was automatically updated to reflect the committed changes.